Bug 129625 - konsole doesn't allow default keyboard to be changed to "linux console"
konsole doesn't allow default keyboard to be changed to "linux console"
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2004-08-10 20:57 EDT by Mike A. Harris
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-03 10:40:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2004-08-10 20:57:34 EDT
Description of problem:
On a clean OS install, if you start up konsole, and then go to the
menu:  Settings->Configure Konsole

Then go to the "Session" notebook tab, there is a setting which
you can use to change the "Keytab".  It defaults to using
"Xterm (XFree86 3.3.x)" which sucks because function keys don't
work, along with many other PC keyboardisms.  Changing this to
"linux console" is what I want to do.  When I do this, the setting
takes, but when I hit "Apply" or "Ok", then right before my eyes,
konsole reverts the change back to "Xterm (XFree86 3.3.x)".

This is very annoying, because I have 25 terminals open, and have
to right click on each one of them every time I restart X, and choose
Settings->Keyboard->linuxconsole, at which point everything works
right, but I have to repeat that 25 times.  I want to change the
default to linux console, but konsole wont allow that due to this

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  See above
Expected results:
konsole should allow me to change the default keyboard for the
"linux console" session to be "linux console" keyboard, which
is the only thing that makes sense.
Comment 1 Rob Kearey 2004-08-10 21:41:02 EDT
Reproduced on today's updated fc2.
Comment 2 Nicholas Miell 2004-08-10 21:44:48 EDT
I can set "XFree86 4.x.x" or "linux console", but anything else
changes it back to "linux console"

This is on AMD64, but I'm not privileged enough to change Platfrom
from i386 to All.
Comment 3 Mike A. Harris 2004-08-10 21:52:20 EDT
Yep, VT100 and VT420 don't work either.
Comment 4 Mike A. Harris 2004-08-12 03:52:04 EDT
This occurs on FC1, FC2, and rawhide BTW, on all arches.
Comment 5 arch harris 2004-12-17 03:33:41 EST
This problem also occurs on Redhat enterprise WS version 3.  Even
manually setting the *.desktop file with the correct keytab file name
fails to access the correct keytab.  When the kKeytab setting is
saved, the KeyTab= line either has no value for Xfree 4.x.x or the value
"keytab" for anything else (which results in Xfree 3.x.x being used).
Comment 6 Matthew Miller 2006-07-11 13:47:42 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.


NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Note You need to log in before you can comment on or make changes to this bug.